//
//  HWMGeneralWatchWindow.m
//  HWMUISDKNativeDemo
//
//

#import "HWMGeneralWatchWindow.h"

@interface HWMGeneralWatchWindow ()<NSWindowDelegate>

@end

@implementation HWMGeneralWatchWindow

- (instancetype)init {
    self = [super init];
    if (self) {
        self.delegate = self;
    }
    return self;
}

- (void)windowWillClose:(NSNotification *)notification {
    if (self.watchWindowDelegate && [self.watchWindowDelegate respondsToSelector:@selector(generalWatchWindowClosed:)]) {
        [self.watchWindowDelegate generalWatchWindowClosed:self.renderHandle];
    }
}

@end
